local silo_script = require("silo-script")
local version = 1

script.on_event(defines.events.on_player_created, function(event)
  local player = game.players[event.player_index]
  player.insert{name="iron-plate", count=8}
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
  player.insert{name="burner-mining-drill", count = 1}
  player.insert{name="stone-furnace", count = 1}
  player.force.chart(player.surface, {{player.position.x - 200, player.position.y - 200}, {player.position.x + 200, player.position.y + 200}})
  if (#game.players <= 1) then
    game.show_message_dialog{text = {"msg-intro"}}
  else
    player.print({"msg-intro"})
  end
  silo_script.on_player_created(event)
end)

script.on_event(defines.events.on_player_respawned, function(event)
  local player = game.players[event.player_index]
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
end)

script.on_event(defines.events.on_gui_click, function(event)
  silo_script.on_gui_click(event)
end)

script.on_init(function()
  global.version = version
  silo_script.on_init()
end)

script.on_event(defines.events.on_rocket_launched, function(event)
  silo_script.on_rocket_launched(event)
end)

script.on_configuration_changed(function(event)
  if global.version ~= version then
    global.version = version
  end
  silo_script.on_configuration_changed(event)
end)

silo_script.add_remote_interface()
silo_script.add_commands()

--custom test bench scripts
script.on_event(defines.events.on_chunk_generated, function(event)
  for _,ent in pairs(event.surface.find_entities(event.area)) do
	ent.destroy()
  end
  local tiles = {}
  for _,tile in pairs(event.surface.find_tiles_filtered{area=event.area}) do
	table.insert(tiles, {name="lab-dark-2",position={x = tile.position.x, y = tile.position.y}})
  end
  event.surface.set_tiles(tiles, false)
end)

east = {2565, -1180}
north = {1429, -2318}
west = {292, -1180}
south = {1429, -45}
center = {1429, -1180}
controls = {1556, -111}

function tp(position)
	if (position.x and position.y) or (position[1] and position[2]) then
		game.player.teleport(position)
	end
end